<style>
  .bottom-space {
    margin-bottom: 10px;
  }
  .footer-listing2 {
        width: 25%;
        height: auto;
  }
  .footer-listing-img {
        width: 100%;
        height: auto;
  }
</style>

<div *ngIf="!isMainPage">
  <nb-layout>
    <!-- No touchy if you dont know what you are doin! NO TOUCHY! -->

    <nb-layout-header style="width: 100%;">
      
      <!-- This is a placeholder -->
      <div style="float: right; width: 90%;"></div>


      <nb-actions size="medium" class="right-align">



        <nb-action>
          <app-c-language></app-c-language>
        </nb-action>
        <nb-action>
          <!-- NFDI4Ing Logo-->
          <a href="https://nfdi4ing.de/de/archetypes/frank/">
            <img src="../assets/images/Frank_Icon.png" alt="Frank Logo" style="height: 3rem; width: auto;"/>
          </a>
        </nb-action>
        <nb-action>
          <!-- NFDI4Ing Logo-->
          <a href="https://nfdi4ing.pages.rwth-aachen.de/ta-frank/jarves/overview/">
            <img src="../assets/images/Jarves Logo 5.png" alt="Jarves Logo" style="height: 3rem; width: auto;"/>
          </a>
        </nb-action>
        <!--<nb-action class="logo">

          <a href="https://nfdi4ing.de/">
            <img src="https://blog.rwth-aachen.de/forschungsdaten/files/2019/08/nfdi4ing_logo.png" alt="nfdi4ing" style="height: 3rem; width: auto">
          </a>
        </nb-action>-->
      </nb-actions>

      <style>
        .actions-container {
          justify-content: space-between;
        }
        .right-align {
          padding-right: 10px;
          margin-right: 10px;
        }
          

        .logo {
          position: fixed;
          top: 4;
          right: 0;
          margin-left: 100%;
          padding-right: 1rem;
        }
        .frank{
          top: 4;
          padding-right: 1rem;
          left:90vw
        }
      </style>


    </nb-layout-header>

    <nb-layout-column>
      <!-- Insert page content here -->
      <router-outlet></router-outlet>
    </nb-layout-column>

    <nb-layout-footer style="width: 100%; height: 7rem; ">
      <nb-layout-column style="width: 100%; max-height: 10% !important;padding: 1%;">
        <nb-actions style="width: 100%;">
          <nb-action class="footer-listing2">
            <a href="https://www.dfg.de">
              <img src="../assets/images/dfgfallback.jpg" alt="DFG-Logo" class="footer-listing-img">
            </a>
          </nb-action>
          <nb-action class="footer-listing2">
            <a href="https://nfdi4ing.de">
              <img src="../assets/images/logo_nfdi4ing_rgb_quer.png" alt="NFDI4Ing-Logo" class="footer-listing-img">
            </a>
          </nb-action>
          <nb-action class="footer-listing2">
            <a href="https://www.wzl.rwth-aachen.de/go/id/sijq/">
              <img src="../assets/images/wzl_crop.png" alt="RWTH-Logo" class="footer-listing-img">
            </a>
          </nb-action>
          <nb-action class="footer-listing2">
            <a href="https://www.ipt.fraunhofer.de">
              <img src="../assets/images/logo-ipt.gif" alt="IPT-Logo" class="footer-listing-img"/>
            </a>              
          </nb-action>
          <nb-action class="footer-listing2">
            <button nbButton ghost fullWidth="">
              <a routerLink="impressum">{{'LANDING.IMPRESSUM' | translate}}</a>
            </button>             
          </nb-action>
          <nb-action class="footer-listing2">
            <button nbButton ghost fullWidth="">
              <a routerLink="privacy_policy">{{'LANDING.DATENSCHUTZ' | translate}}</a>
            </button>             
          </nb-action>
          <nb-action class="footer-listing2">
            <button nbButton ghost fullWidth="">
              <a routerLink="utilization_agreement">{{'LANDING.T_C' | translate}}</a>
            </button>             
          </nb-action>
          <nb-action>
            <div style="font-size: 90%;"><br>{{'LANDING.SOFTWARE' | translate}}<br>{{'LANDING.SOFTWARE2' | translate}}</div>
          </nb-action>
          
        </nb-actions>    
       
      </nb-layout-column>

    
      <!-- </nb-layout-column> -->

        
        <!--<app-messages></app-messages>-->
        
    </nb-layout-footer> 
    
  </nb-layout>




</div>

<div *ngIf="!isLandingPage">
<nb-layout>
  <!-- No touchy if you dont know what you are doin! NO TOUCHY! -->

  <nb-layout-header fixed>
  <!-- Insert header here  -->
      <app-m-header></app-m-header>
    

  </nb-layout-header>

  <nb-layout-column>
    <!-- Insert page content here -->
    <router-outlet></router-outlet>
  </nb-layout-column>

  <nb-sidebar tag="left" state="collapsed">
    <!-- Insert sidebar here -->

<!--<a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="projects">
      Projects
</a>

<a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="add">
    Add Project
</a>

<a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="my">
  My Project
</a>

<a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="landing">
  Landing Page
</a>--> <!--Other Option(Verworfen)-->


<nb-accordion multi>
  <nb-accordion-item>
    <nb-accordion-item-header>
      {{'MENU.P' | translate}}
    </nb-accordion-item-header> <button nbButton status="success">Success<nb-icon icon="star"></nb-icon></button>
    <nb-accordion-item-body>
      <a class="bottom-space" nbButton ghost shape="semi-round" ghost routerLink="projects">
        <nb-icon icon="attach-outline"></nb-icon>{{'MENU.MY_P' | translate}}
      </a>
      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="add">
        <nb-icon icon="plus-circle-outline"></nb-icon>{{'MENU.ADD_P' | translate}}
      </a>
      <!--<a class="bottom-space" nbButton shape="semi-round" ghost routerLink="my">
        Template<nb-icon icon="person-add-outline"></nb-icon>
      </a>-->
    </nb-accordion-item-body>
  </nb-accordion-item>
  <nb-accordion-item>
    <nb-accordion-item-header>
      {{'MENU.EXPLORE' | translate}}
    </nb-accordion-item-header> <button nbButton status="success">Success<nb-icon icon="star"></nb-icon></button>
    <nb-accordion-item-body>
      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="guidelines">
        <nb-icon icon="book-open-outline"></nb-icon>{{'MENU.GUIDELINES' | translate}}
      </a>
      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="settings">
        <nb-icon icon="settings-outline"></nb-icon>{{'MENU.SETTINGS' | translate}}
      </a>
    </nb-accordion-item-body>
  </nb-accordion-item>
  <nb-accordion-item>
    <nb-accordion-item-header>
      {{'MENU.POLICY_HEADER' | translate}}
    </nb-accordion-item-header> <button nbButton status="success">Success<nb-icon icon="star"></nb-icon></button>
    <nb-accordion-item-body>
      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="policies/policy">
        <nb-icon icon="brush-outline"></nb-icon>{{'MENU.POLICY' | translate}}
      </a>
      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="policies/university">
        <nb-icon icon="book-outline"></nb-icon>{{'MENU.UNI' | translate}}
      </a>
      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="policies/institute">
        <nb-icon icon="monitor-outline"></nb-icon>{{'MENU.INSTITUTE' | translate}}
      </a>
      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="policies/funding">
        <nb-icon icon="monitor-outline"></nb-icon>{{'MENU.FUNDING' | translate}}
      </a>
    </nb-accordion-item-body>
  </nb-accordion-item>
</nb-accordion>
    <!--<nb-action icon="menu-outline" (click)="toggle()"></nb-action>--> <!--Das erzeugt ein toggle Menu in der Sidebar, sieht komisch aus. Kann man einschalten wenn gebraucht.-->
  </nb-sidebar>

<!--   <nb-layout-footer fixed>
     Insert footer here
    <nb-actions fullWidth>

      <nb-action>
        <a href="https://www.dfg.de">
          <img src="../assets/images/dfgfallback.jpg" alt="DFG-Logo" style="height: 4rem; width: auto">
        </a>
      </nb-action>
      <nb-action>
        <a href="https://nfdi4ing.de">
          <img src="../assets/images/logo_nfdi4ing_rgb_quer.png" alt="NFDI4Ing-Logo" style="height: 3rem; width: auto">
        </a>
      </nb-action>

      <nb-action>
        <a href="https://www.wzl.rwth-aachen.de/go/id/sijq/">
         <img src="../assets/images/wzl.png" alt="RWTH-Logo" style="height: 7rem; width: auto">
       </a>
     </nb-action>
      <nb-action size="medium" class="actions-container">
        <a href="https://www.ipt.fraunhofer.de">
          <img src="../assets/images/logo-ipt.gif" alt="IPT-Logo" style="height: 4rem; width: auto"/>
        </a>
      </nb-action>
    
      <nb-action>
        <div style="font-size: small;">{{'LANDING.SOFTWARE' | translate}}<br>{{'LANDING.SOFTWARE2' | translate}}</div>
        
      </nb-action>
      
      
    </nb-actions>
    
    <app-messages></app-messages>
   

  </nb-layout-footer> -->
  <nb-layout-footer style="width: 100%;">

    <!--Das hier ist nur ein Entwurf um den Footer zu verbessern: Einteilung in KAtegorien wie Unterstützer und Links zum Impressum etc. ul und li für Listen.
       Muss irgenwann vervollständigt werden bei zu wenig Platz im Footer.-->

    <!-- <nb-layout-column style="width: 100%; max-height: 10% !important;padding: 1%;"> -->
      <!-- <div>
        <ul>
        <h3 style="padding-top: 20px;">Unterstützer</h3>
        <li>
        <a href="https://www.dfg.de">
          <img src="../assets/images/dfgfallback.jpg" alt="DFG-Logo" class="footer-listing-img" style="width: 200px; height: auto;">
        </a>
      </li>
      <li>
        <a href="https://nfdi4ing.de">
          <img src="../assets/images/logo_nfdi4ing_rgb_quer.png" alt="NFDI4Ing-Logo" class="footer-listing-img" style="width: 300px; height: auto;">
        </a>
      </li>
        </ul>
      </div> -->
      
      <nb-actions style="width: 100%;">
        <nb-action class="footer-listing2">
          <a href="https://www.dfg.de">
            <img src="../assets/images/dfgfallback.jpg" alt="DFG-Logo" class="footer-listing-img">
          </a>
        </nb-action>
        <nb-action class="footer-listing2">
          <a href="https://nfdi4ing.de">
            <img src="../assets/images/logo_nfdi4ing_rgb_quer.png" alt="NFDI4Ing-Logo" class="footer-listing-img">
          </a>
        </nb-action>
        <nb-action class="footer-listing2">
          <a href="https://www.wzl.rwth-aachen.de/go/id/sijq/">
            <img src="../assets/images/wzl_crop.png" alt="RWTH-Logo" class="footer-listing-img">
          </a>
        </nb-action>
        <nb-action class="footer-listing2">
          <a href="https://www.ipt.fraunhofer.de">
            <img src="../assets/images/logo-ipt.gif" alt="IPT-Logo" class="footer-listing-img"/>
          </a>              
        </nb-action>
        <nb-action class="footer-listing2">
          <button nbButton ghost fullWidth="">
            <a style="text-decoration: none; color: black;" routerLink="impressum">{{'LANDING.IMPRESSUM' | translate}}</a>
          </button>             
        </nb-action>
        <nb-action class="footer-listing2">
          <button nbButton ghost fullWidth="">
            <a style="text-decoration: none; color: black;" routerLink="privacy_policy">{{'LANDING.DATENSCHUTZ' | translate}}</a>
          </button>             
        </nb-action>
        <nb-action class="footer-listing2">
          <button nbButton ghost fullWidth="">
            <a style="text-decoration: none; color: black;"routerLink="utilization_agreement">{{'LANDING.T_C' | translate}}</a>
          </button>             
        </nb-action>
        <nb-action>
          <div style="font-size: 90%;color:black"><br>{{'LANDING.SOFTWARE' | translate}}<br>{{'LANDING.SOFTWARE2' | translate}}</div>
        </nb-action>
        
      </nb-actions> 
      <!-- <div style="font-size: 90%;"><br>{{'LANDING.SOFTWARE' | translate}}<br>{{'LANDING.SOFTWARE2' | translate}}</div> -->
    <!-- </nb-layout-column> -->

      
      <!--<app-messages></app-messages>-->
      
  </nb-layout-footer> 


</nb-layout>

</div>
